### Constructor

# Gsk ShadowNodenew

#### Declaration [src]

    GskRenderNode*
    gsk_shadow_node_new (
      GskRenderNode* child,
      const GskShadow* shadows,
      gsize n_shadows
    )

#### Description [src]

Creates a `GskRenderNode` that will draw a `child` with the given `shadows` below it.

#### Parameters

`child`

  Type: `GskRenderNode`

  The node to draw.

  The data is owned by the caller of the function.

`shadows`

  Type: An array of `GskShadow`

  The shadows to apply.

  The length of the array is specified in the `n_shadows` argument.
  The data is owned by the caller of the function.

`n_shadows`

  Type: `gsize`

  Number of entries in the `shadows` array.

#### Return value

Type: `GskShadowNode`

A new `GskRenderNode`

The caller of the function takes ownership of the data, and is responsible for freeing it.